package org.jboss.security.plugins;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.Enumeration;
import java.util.Hashtable;
import javax.naming.NameClassPair;
import javax.naming.NamingEnumeration;
import org.jboss.security.plugins.JaasSecurityManagerService;

class DomainEnumeration implements NamingEnumeration {
  Enumeration domains;
  
  Hashtable ctxMap;
  
  DomainEnumeration(Enumeration domains, Hashtable ctxMap) {
    this.domains = domains;
    this.ctxMap = ctxMap;
  }
  
  public void close() {}
  
  public boolean hasMoreElements() {
    return this.domains.hasMoreElements();
  }
  
  public boolean hasMore() {
    return this.domains.hasMoreElements();
  }
  
  public Object next() {
    String name = this.domains.nextElement();
    Object value = this.ctxMap.get(name);
    String className = value.getClass().getName();
    NameClassPair pair = new NameClassPair(name, className);
    return pair;
  }
  
  public Object nextElement() {
    return this.domains.nextElement();
  }
}
